import sourcemaps from 'rollup-plugin-sourcemaps';
import babel from '@rollup/plugin-babel';
import typescript from 'rollup-plugin-typescript2';
import { terser } from 'rollup-plugin-terser';
import cleanup from 'rollup-plugin-cleanup';
export default {
    input: 'src/index.ts',
    output: {
        exports: 'auto',
        file: `lib/highLight.min.js`,
        format: 'umd',
        name: 'highLight',
    },
    plugins: [
        sourcemaps(),
        typescript(),
        babel({ babelHelpers: 'bundled' }),
        terser(),
        cleanup()
    ],
};
